Bug 214370 - acpi(4) reports outdated sysctls
Summary: acpi(4) reports outdated sysctls
Status: New
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-09 20:44 UTC by elferdo
Modified: 2018-04-10 19:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elferdo 2016-11-09 20:44:51 UTC
On FreeBSD 11.0-RELEASE-p2 #0, consulting acpi(4) I see the following sysctl:

hw.acpi.cpu.cx_supported

However, on the shell:

% sysctl hw.acpi.cpu.cx_supported
sysctl: unknown oid 'hw.acpi.cpu.cx_supported'

Inspecting actual sysctls:

% sudo sysctl -a | grep cx
has_pipe_cxsr: no
hw.acpi.cpu.cx_lowest: C8
dev.cpu.3.cx_method: C1/mwait/hwc C2/mwait/hwc/bma C3/mwait/hwc/bma
dev.cpu.3.cx_usage_counters: 6920 1550 84854
dev.cpu.3.cx_usage: 7.41% 1.66% 90.92% last 49us
dev.cpu.3.cx_lowest: C8
dev.cpu.3.cx_supported: C1/1/3 C2/2/205 C3/3/245
[...]

It seems that cx_supported move from hw.acpi to dev, but acpi(4) failed to reflect this fact.